/**
 *
 * @(#)author  [Youngmi Im]
 * @(#)version 1.0
 * @(#)date    May 10, 2007
 * @(#)since   JDK 1.4.2
 *
 * Copyright (c) www.hwenc.co.kr, Inc.
 * All rights reserved.
 * This software is the proprietary information of Hanwha E&C, Inc.
 */
 package kr.co.udapsoft.ebid.buyer.payment.outside.biz;


import kr.co.hsnc.common.base.WAFLogger;

import com.udapsoft.waf.system.Biz;
import com.udapsoft.waf.system.HandlerStorage;

public class TaxResultPopBiz extends Biz {
	
	public TaxResultPopBiz(HandlerStorage storage) {
		super(storage);
	}

	public void doBiz() throws Exception {

		if(storage.compareEvent("")){
	        
			WAFLogger.debug(params.get("batchId"));
			WAFLogger.debug(params.get("tcnt"));
			WAFLogger.debug(params.get("Scnt"));
			WAFLogger.debug(params.get("fcnt"));
			WAFLogger.debug(params.get("Emsg"));
			WAFLogger.debug(params.get("CertMsg"));
			
/*        	String strEncodeUrl = "http://211.38.140.131:10000/include/PrcResultMsg.asp?batch_id="+params.get("batchId");
        	//+"&tcnt="+params.get("tcnt")+"&Scnt="+params.get("Scnt")+"&fcnt="+params.get("fcnt")+"&Emsg="+params.get("Emsg")+"&CertMsg="+params.get("CertMsg");
        	WAFLogger.debug(strEncodeUrl);
            URL oOpenURL = new URL(strEncodeUrl);
            
            BufferedReader    oBufReader = null;
            HttpURLConnection httpConn   = null;
            String strBuffer = "";
            String strRslt   = "";
            
            try{
            		httpConn =  (HttpURLConnection) oOpenURL.openConnection();          
            		httpConn.setRequestMethod("Get");          
            		httpConn.connect();          
            		oBufReader = new BufferedReader(new InputStreamReader(oOpenURL.openStream(), "euc-kr"));
  
            		//Buffer에 있는 내용을 읽어 차례로 화면에 뿌려준다.
            		while((strBuffer = oBufReader.readLine()) != null){
            			if(strBuffer.length() > 1){
            				strRslt += strBuffer;
            				strRslt += "\n";
            			}
            		}

            } catch( Exception ee) {
                ee.getMessage();
            }
            
            ValueObject result = new ValueObject();
            result.set("result", strRslt);
            storage.addValueObject("result", result);*/
            
		}else {
		
			//params.set("sheet1", getUserList(params));
			//storage.addObject("ibsheet7Data", IBSheet7Factory.createIBSheet7(params, storage.request));
		
		}
		
		//boolean success = saveData(params);
		//super.storage.setSuccess(true);
	}

}
